<ion-header>
  <!-- <ion-toolbar>
    <ion-title>step2</ion-title>
  </ion-toolbar> -->
</ion-header>

<ion-content>
<div class="ms-mob-body ms-home">
    <div class="row ms-home-body">
        <div class="ms-home-body-content ms-full-width">
            <p class="ms-home-header">
                {{ event.name }}
            </p>
            <p class="ms-info">
                <i class="fas fa-trophy ms-text-teal"></i> {{ event.eventId}} &nbsp;&nbsp;&nbsp;<i class="fas fa-calendar-day ms-text-teal"></i> {{ event.targetDateTime | date }} &nbsp;&nbsp;&nbsp;<i class="fas fa-coins ms-text-teal"></i> {{ event.budget | currency:'PHP ' }} budget
            </p>
            <hr/>
            <div *ngIf="step2Form?.value" >
                
                <div (click)="selectVendor(venType, i)" class="ms-card-item ms-depth-4" [ngClass]="toggleClass(venType.vendor_type)" *ngFor="let venType of step2Form.value let i = index" role="alert">
                    <div class="ms-item-icon">
                        <i [ngClass]="toggleIcon(venType.vendor_type)"></i>
                    </div>

                    <div class="ms-item-content">
                        <div>
                            <p>{{ venType.vendor_type }}</p>
                        </div>
                        <p *ngIf="!venType.vendor_id"class="ms-info">not started</p>
                        <p *ngIf="venType.vendor_id" class="ms-info">{{ venType.vendor_name }}</p>

                        <a  *ngIf="!venType.vendor_package_id" class="ms-item-content-go">
                            <i class="ms-Icon ms-Icon--CircleRing"></i>
                        </a>
                        <a  *ngIf="venType.vendor_package_id" class="ms-item-content-go">
                            <ion-icon class="ms-Icon" name="checkmark-circle-outline"></ion-icon>
                        </a>
                    </div>
                </div>

            </div>
            
            <div *ngIf="!step2Form?.value" class="text-center ms-info ms-ci-center-tooltip">
                <p>Tap <i class="ms-Icon ms-Icon--Add"></i> icon below to add items to your checklist.</p>
            </div>

        </div>
    </div>
</div>
</ion-content>
<ion-footer>
    <div class="ms-home-bottombar ms-scheme-bottombar">
            <div class="row ms-bottom-toolbar">
                <div class="col-sm ms-bottom-toolbar-tool">
                    <span>
                        <a (click)="goToPage('/tabs/tabs/view-events')">
                            <i class="ms-Icon ms-Icon--Back"></i>
                        </a>
                    </span>
                    <span>
                        <a (click)="openModal()">
                            <i class="ms-Icon ms-Icon--Add"></i>
                        </a>
                    </span>
                    <span>
                        <a class="ms-item-content-go" (click)="deleteMs()">
                            <i class="ms-Icon ms-Icon--Delete"></i>
                        </a>
                    </span>
                </div>
            </div>
        </div>
</ion-footer>
